<?php

session_start();

set_time_limit( 0 );

define( 'ROOT', 'http://'.$_SERVER['HTTP_HOST'] );
define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );

include_once ROOT_DIR . '/engine/config.php';


$interkassa_key = $config_pay['interkassa_key'];



              unset($scrin["ik_sign"]);

              ksort($scrin, SORT_STRING); // сортируем по ключам в алфавитном порядке элементы массива

              array_push($scrin, interkassa_key); // добавляем в конец массива "секретный ключ"

              $signString = implode(':', $scrin); // конкатенируем значения через символ ":"

              $sign = base64_encode(md5($signString, true)); // берем MD5 хэш в бинарном виде по  сформированной строке и кодируем в BASE64

         if ($_POST["ik_sign"] == $sign AND $scrin["ik_inv_st"]=="success")
          {


	        $pdo->Query("UPDATE `php_user` SET `money` = `money` + '" . $_POST['ik_am'] . "' WHERE `id` = '" . $id . "'");


			// Сообщение для биллинга
			echo 'OK' . $_BILL['inv_id'];

	      }

?>
